Subject: Re: [tbench regression fixes]: digging out smelly deadmen.

From: Rick Jones <[email-masked]>
Date: Mon, 27 Oct 2008 10:26:21 -0700

Mike Galbraith wrote:
> That's exactly what I've been trying to look into, but combined with
> netperf.  The thing is an incredibly twisted maze of _this_ affects
> _that_... sometimes involving magic and/or mythical creatures.

I cannot guarantee it will help, but the global -T option to pin netperf 
or netserver to a specific CPU might help cut-down the variables.

FWIW netperf top of trunk omni tests can now also determine and report 
the state of SELinux.  They also have code to accept or generate their 
own RFC4122-esque UUID.  Define some connical tests and then ever closer 
to just needing some database-fu and automagic testing I suppose... 
things I do not presently posess but am curious enough to follow some 
pointers.

happy benchmarking,

rick jones